/*general*/




/*header*/

.contact-header{
    background: url("../img/rectangle10.png");
    background-size: cover;
    background-repeat: no-repeat;
    height: 376px;
}

.contact-h1 {
    position: absolute;
    width: fit-content;
    height: fit-content;
    top: 15%;
    left: 17%;
    margin: auto;
    font-size: 72px;
    font-family: 'Roboto', sans-serif;
    font-weight: 300;
}



.contact-h1::after{
    content: "";
    position: absolute;
    width: 129px;
    height: 2px;
    background: #FFFFFF;
    bottom: 15px;
    margin-left: 20px;
}



.icon-content-header-contact{
    position: absolute;
    bottom: 0;
    right: 0;
}

.icon-header-contact {
    margin: 7px;
    font-size: 35px;
}

.laptop-contact-phone{
    position: absolute;
    bottom: 20px;
    right: 20px;
    font-size: 25px;
    color: #02558B!important;
    z-index: 999;
}


.contact-text {
    font-size: 24px;
    font-weight: bold;
    width: 77%;
    margin-left: 2vw;
}

.container-contact{
    margin-top: -20vh;
}

/*map*/

.container-map{
    height: max-content;
}

.map-contact{
    position: relative;
    z-index: 4;
    margin-bottom: 110px;
    /* width: 78%; */
    margin-left: auto;
    margin-right: auto;
}

.adress-container{
    background-color: #2470A1;
    position: absolute;
    bottom: -68px;
    right: 0;
    z-index: 1;
    padding: 72px 10px 10px 10px;
}

#horizontale-contact-circles{
    position: absolute;
    z-index: 1;
    right: 0px;
    top: 0;
    bottom: 0;
    margin: auto 0;
    height: 160px;
}

/* contact form */

.contact-form{
    margin-top: 16vh;
    padding: 3% 5%;
}

.input-contact{
    border-bottom: 1px solid gray;
    border-top: 0;
    border-left: 0;
    border-right:0 ;
    margin: 10px 0px 10px 0px;
    position: relative;
    width: 100%;
    font-size: 24px;
}

.input-contact:focus{
    outline-color: transparent;
    outline-style: none;
}

.empty-input{
    margin: 10px 0px 10px 0px;
}

.required::after{
    content: "*";
    position: absolute;
    right: 10px;
    top: 10px;
    color: red;
    
}

.input-contact::placeholder{
    padding: 2px 0px;

}

.textarea-contact {
    font-size: 24px;
    height: 50vh;
}


.button-container{
    height: 78px;
    margin: 2vh 0;
    position: relative;
}

#submit{
    font-family: 'Roboto', sans-serif;
    font-style: normal;
    font-weight: bold;
    width: 200px;
    text-align: center;
    font-size: 24px;
    line-height: 28px;
    padding: 10px 44px;
    color: #02558B;
    background: #FFFFFF;
    margin: 20px 0;
    box-shadow: 0px 0px 18px rgb(0 0 0 / 15%);
    position: absolute;
    bottom: 0;
    right: 0;
}

/*mobile*/

.map-contact-mobile{
    position: relative;
    z-index: 4;
    width: 100vw;
    margin-left: auto;
    margin-right: auto;
}


.mobile-contact-phone{
    display: none;
}

.map-contact-mobile-container{
    display: none!important;
}

.contact-text-mobile{
    display: none;
}

.adress-container-mobile{
    display: none;

}

#horizontale-contact-circles-mobile{
    display: none;
    position: absolute;
    z-index: 1;
    height: 160px;
    top: 0;
    right: 0;
}

/*responsive */

@media (max-width: 1350px){
    .adress-container {
        bottom: -90px;
        padding: 72px 10px 10px 26px;
    }
}

@media (max-width: 1244px){
    
    .contact-form {
        margin-top: 13vh;
    }
}

@media (max-width: 1044px){

    .map-contact {
        position: relative;
        z-index: 4;
        margin-bottom: 134px;
    }

    .adress-container {
        background-color: #2470A1;
        position: absolute;
        bottom: -95px;
        right: 0;
        z-index: 1;
        padding: 72px 10px 10px 26px;
    }
}

@media (max-width: 991px){


    .container-contact{
        margin-top: -2vh;
    }

    .laptop-contact-phone{
        display: none;
    }

    .mobile-contact-phone{
        display: block;
        position: absolute;
        bottom: 40px;
        right: 20px;
        font-size: 25px;
        color: #02558B !important;
        z-index: 996;
    }

    .contact-header{
        height: 376px;
    }

    .contact-text{
        display: none;
    }

    .contact-text-mobile{
        display: block;
        font-size: 19px;
        width: 64%;
        margin: 0 auto;
        text-align: justify;
        position: absolute;
        left: 10%;
        bottom: 6vh;
    }

    .adress-container{
        display: none;
    }

    .adress-container-mobile{
        display: block;
        background-color: #2470A1;
        z-index: 1;
        padding: 50px 20px 10px 20px;
    }


    #horizontale-contact-circles{
        display: none;
    }

    #horizontale-contact-circles-mobile{
        display: block;
    }

    .map-contact{
        display: block;
        width: 100%!important;
        margin-bottom: 0!important;
    }

    .map-contact-mobile-container{
        display: block;
        position: relative;
        height: max-content;
        width: max-content;
        margin: auto;
    }

    .contact-form{
        margin-top: 3vh;
        padding: 3% 5%;
    }

    #horizontale-contact-circles{
        position: absolute;
        right: initial;
        top: initial;
        z-index: 1;
        left: 0;
        bottom: 0;
        margin:  initial;
        height: 160px;
    }

    .button-container {
        margin: 2vh 0;
    }

    #submit {
        left: 0;
        margin: 0 auto;
    }
    
}



@media (max-width: 575px){

    .contact-h1{
        font-size: 40px;
    }

    .padding-form-mobile{
        padding: 0 7%;
    }

    .contact-text-mobile{
        font-size: 18px;
        font-weight: bold;
        left: 10%;
        width: 69%;
        right: inherit;
        bottom: 6vh;
    }

    .icon-header-contact {
        font-size: 36px;
    }

    .icon-header-contact {
        bottom: 7vh;
    }

    .textarea-contact{
        margin: 0 7%;
    }
}

@media (max-width: 344px){

    .contact-text-mobile{
        font-size: 16px;
        width: 60%;
        margin: 0 auto;
        text-align: justify;
        position: absolute;
        left: 10%;
        right: initial;
        bottom: 7vh;
    }


    .map-contact-mobile {
        width: 100vw;
    }

    #horizontale-contact-circles{
        display: none;
    }


}